package com.bankaudit.process.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_observation_respond_review_capture")
public class AuditObservationRespondReviewCapture {

/*	Table: audit_observation_respond_review_capture
	---------------------------------------------------

	Column Information
	----------------------

	Field                 Type         Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	--------------------  -----------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	id                    int(10)      (NULL)             NO      PRI     (NULL)             auto_increment               select,insert,update,references           
	legal_entity_code     int(10)      (NULL)             YES             (NULL)                                          select,insert,update,references           
	audit_type_code       varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	plan_id               varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	audit_id              varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	group_observation_id  varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	observation_id        varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	capture_type          varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	maker                 varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	maker_timestamp       timestamp    (NULL)  */


	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;

	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Column(name="plan_id")
	private String planId;

	@Column(name="audit_id")
	private String auditId;

	@Column(name="group_observation_id")
	private String groupObservationId;

	@Column(name="observation_id")
	private String observationId;
	
	@Column(name="capture_type")
	private String captureType;
	
	@Column(name="maker")
	private String maker;
		
	@Column(name="comment")
	private String comment;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="status")
	private String status;
	
	@Column(name="review_respond_status")
	private String reviewRespondStatus;

	/**
	 * @return the captureType
	 */
	public String getCaptureType() {
		return captureType;
	}

	/**
	 * @param captureType the captureType to set
	 */
	public void setCaptureType(String captureType) {
		this.captureType = captureType;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the comment
	 */
	public String getComment() {
		return comment;
	}

	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the auditId
	 */
	public String getAuditId() {
		return auditId;
	}

	/**
	 * @param auditId the auditId to set
	 */
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	/**
	 * @return the groupObservationId
	 */
	public String getGroupObservationId() {
		return groupObservationId;
	}

	/**
	 * @param groupObservationId the groupObservationId to set
	 */
	public void setGroupObservationId(String groupObservationId) {
		this.groupObservationId = groupObservationId;
	}

	/**
	 * @return the observationId
	 */
	public String getObservationId() {
		return observationId;
	}

	/**
	 * @param observationId the observationId to set
	 */
	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReviewRespondStatus() {
		return reviewRespondStatus;
	}

	public void setReviewRespondStatus(String reviewRespondStatus) {
		this.reviewRespondStatus = reviewRespondStatus;
	}

	 
	
}
